import 'package:flutter/material.dart';
import 'package:syncrow_web/utils/color_manager.dart';

class AddSpaceModelWidget extends StatelessWidget {
  const AddSpaceModelWidget({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      margin: const EdgeInsets.all(8.0),
      decoration: BoxDecoration(
        color: ColorsManager.whiteColors,
        borderRadius: BorderRadius.circular(20),
        boxShadow: const [
          BoxShadow(
            color: ColorsManager.semiTransparentBlackColor,
            blurRadius: 15,
            offset: Offset(0, 4),
            spreadRadius: 0,
          ),
          BoxShadow(
            color: ColorsManager.semiTransparentBlackColor,
            blurRadius: 25,
            offset: Offset(0, 15),
            spreadRadius: -5,
          ),
        ],
      ),
      child: Center(
        child: Container(
          width: 60,
          height: 60, // Set a proper height here
          decoration: BoxDecoration(
            shape: BoxShape.circle,
            color: ColorsManager.neutralGray,
            border: Border.all(
              color: ColorsManager.textFieldGreyColor,
              width: 2.0,
            ),
          ),
          child: const Icon(
            Icons.add,
            size: 40,
            color: ColorsManager.spaceColor,
          ),
        ),
      ),
    );
  }
}
